import { b as o } from "./tslib.es6-CJ7TUrOc.mjs";
import { e as p, x as h, r as g, i as u } from "./query-assigned-elements-D930kELM.mjs";
import { s as _, R as $ } from "./mwc-radio.css-DPbyzNg_.mjs";
import { n as m } from "./property-DJzm_oB9.mjs";
import { i as f } from "./query-CDOd1Kwm.mjs";
import { o as y } from "./class-map-DPUylGZM.mjs";
import { l as v } from "./if-defined-DGrxuPYz.mjs";
import { L as C, s as k } from "./mwc-list-item.css-BtGzAhUF.mjs";
import { s as R, c as x } from "./list-item-CK66f3gK.mjs";
/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
let n = class extends $ {
};
n.styles = [_];
n = o([
  p("mwc-radio")
], n);
/**
 * @license
 * Copyright 2020 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
class a extends C {
  constructor() {
    super(...arguments), this.left = !1, this.graphic = "control", this._changeFromClick = !1;
  }
  render() {
    const t = {
      "mdc-deprecated-list-item__graphic": this.left,
      "mdc-deprecated-list-item__meta": !this.left
    }, e = this.renderText(), i = this.graphic && this.graphic !== "control" && !this.left ? this.renderGraphic() : h``, s = this.hasMeta && this.left ? this.renderMeta() : h``, r = this.renderRipple();
    return h`
      ${r}
      ${i}
      ${this.left ? "" : e}
      <mwc-radio
          global
          class=${y(t)}
          tabindex=${this.tabindex}
          name=${v(this.group === null ? void 0 : this.group)}
          .checked=${this.selected}
          ?disabled=${this.disabled}
          @checked=${this.onChange}>
      </mwc-radio>
      ${this.left ? e : ""}
      ${s}`;
  }
  onClick() {
    this._changeFromClick = !0, super.onClick();
  }
  async onChange(t) {
    const e = t.target;
    this.selected === e.checked || (this._skipPropRequest = !0, this.selected = e.checked, await this.updateComplete, this._skipPropRequest = !1, this._changeFromClick || this.fireRequestSelected(this.selected, "interaction")), this._changeFromClick = !1;
  }
}
o([
  f("slot")
], a.prototype, "slotElement", void 0);
o([
  f("mwc-radio")
], a.prototype, "radioElement", void 0);
o([
  m({ type: Boolean })
], a.prototype, "left", void 0);
o([
  m({ type: String, reflect: !0 })
], a.prototype, "graphic", void 0);
var b = Object.getOwnPropertyDescriptor, w = (c, t, e, i) => {
  for (var s = i > 1 ? void 0 : i ? b(t, e) : t, r = c.length - 1, d; r >= 0; r--)
    (d = c[r]) && (s = d(s) || s);
  return s;
};
let l = class extends a {
};
l.styles = [
  k,
  R,
  u`
      ${g(x)}
    `
];
l = w([
  p("cv-radio-list-item")
], l);
const M = l;
export {
  l as CovalentRadioListItem,
  M as default
};
